<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">

    <title>Simple Parsing through XML HttpRequest</title>
  </head>

  <body>
    <section></section>
    <script>
    var section = document.querySelector('section');
    var requestURL = 'http://localhost:8000/tutorials.json';
    var request = new XMLHttpRequest();
    request.open('GET', requestURL);
    request.responseType = 'json';
    request.send();
    request.onload = function() {
        var tutorials = request.response;
        showTutorials(tutorials);
    }
    function showTutorials(jsonObj) {
        var tutor = jsonObj['tutorials'];
        for(var i = 0; i < tutor.length; i++) {
            var myArticle = document.createElement('article');
            var myA = document.createElement('a');
            myA.setAttribute('href',tutor[i].url);
         
            myA.textContent = tutor[i].display;
            myA.style.fontSize = '60px';
            myArticle.appendChild(myA);
            section.appendChild(myArticle);
        }
    }
    </script>
  </body>
</html>